Bug 31558 - Kernel upgrade causes compiler errors
Summary: Kernel upgrade causes compiler errors
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-12 19:22 UTC by Bill McGonigal
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 00:01:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill McGonigal 2001-03-12 19:22:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14 i686)


After installing the recent Kernel security upgrades to 14-17, the gcc
compiler and "make" are not able to find some include files and libs.  
While compiling Gnome programs, gnome-config can't find things either.

Reproducible: Always
Steps to Reproduce:
1.  Install Kernel upgrade 14-17
2.  Try to compile a gnome C program using gnome-config
3.
	

Actual Results:  Include files and some libs were reported as not found, or
don't exist.
They do.	

Expected Results:  Should have been able to compile and link.

Other people are seeing this same problem.  Please go to the Red Hat
forums, "Developer Network Forums",  "C and C++ Forums", "Compiling
Applications after Kernel Upgrades"
One person suggested that the Kernel upgrade includes the running of "make
mrproper" which removes the symlinks needed by the compiler.
There are other postings in the forum which indicate similar problems.
Bill


Note You need to log in before you can comment on or make changes to this bug.